Subject: RE: can't open file for writing
From: C Schreiner <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 8 Sep 2004 07:34:27 -0700 (PDT)

Yes, I meant "echo":

prompt> echo "hello" > foo.txt
bash: foo.txt: No such file or directory

Going through my records, I did not have this problem
when using the current Cygwin release as of last
February (2004).  The problem started when I upgraded
to Cygwin NT 5.1 (cygwin dll 1.5.10) in August.  Did
something change in cygwin that could be affecting the
problem (even if it isn't Cygwin's fault)?  Is it
possible I somehow got some library out of sync?

-- Christian

--- Hannu E K Nevalainen
<[email-masked]> wrote:

> C Schreiner, ++++++-owner@cygwin.+++ wrote:
> > I can not save to a nonexistant file name under
> > Cygwin, but I can under Windows.
> > 
> > When I type:
> > 
> >    cat "hello" > foo.txt
> 
> I suppose you MEANT "echo" here... otherwise:
> 
> $ cat "hello" >foo.txt
> cat: hello: No such file or directory
> $ echo "hello" >foo.txt                       
> $ cat foo.txt
> hello
> 
> > under Cygwin I get this error message:
> > 
> >    bash: foo.txt: No such file or directory
> > 
> > (unless foo.txt already exists in the current
> > directory).  This only happens with network
> > filesystems.
> <SNIP>
> 
> /Hannu E K Nevalainen, B.Sc. EE Microcomputer
> systems            --72-->
> 
> ** mailing list preference; please keep replies on
> list **
> 
> -- printf("LocalTime: UTC+%02d\n",(DST)? 2:1); --
> --END OF MESSAGE--
> 
> --
> Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:      
> http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

		
__________________________________
Do you Yahoo!?
Yahoo! Mail Address AutoComplete - You start. We finish.
http://promotions.yahoo.com/new_mail 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/